Bug 494712 - Evolution mailbox tree view stop responding to (un)collapse events after clicking on mail notification icon
Evolution mailbox tree view stop responding to (un)collapse events after clic...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
: 509836 547843 550660 658213 681365 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-07 16:59 EDT by James
Modified: 2012-05-19 07:32 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-19 07:32:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb output requested (7.83 KB, text/plain)
2009-04-11 16:23 EDT, James
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 601080 None None None Never

  None (edit)
Description James 2009-04-07 16:59:54 EDT
Description of problem:
After a certain amount of time, under conditions I have not yet ascertained, the tree view of Accounts/Folders (left-hand side of the Mail view in Evolution) refuses to collapse or expand subtrees, despite me clicking on the triangles. The tree is otherwise responsive, and I can select what folders are show.

Version-Release number of selected component (if applicable):
evolution-2.26.0-2.fc11.x86_64
gtk2-2.16.0-1.fc11.x86_64

How reproducible:
Intermittently.
Comment 1 Milan Crha 2009-04-08 05:49:44 EDT
This reminded me of an upstream bug [1] though you do not the same steps with Shift/Ctrl and mouse as is mentioned in the bug. Can you expand/collapse when using keyboard only? (Shift+Arrow left/right when standing on the expandable node.)

Could you try to attach here backtrace of such broken state, just in case there will be something shown, even I doubt it. Just install debug info packages for gtk2, gtkhtml3, evolution-data-server, evolution, evolution-exchange (if you use), and possibly other evolution-related packages in use and then attach here result of this command (feel free to delete private information from there, if any):
  $ gdb --batch --ex "t a a bt" -pid=PID
where PID is Process ID of Evolution process. Thanks in advance.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=562839
Comment 2 James 2009-04-11 16:23:54 EDT
Created attachment 339194 [details]
gdb output requested

Attached is the output from gdb generated by the command given above acting on the broken state. Some of the symbols are missing, I only installed the debuginfo packages missing. Hope it is of some use.
Comment 3 James 2009-04-11 16:25:05 EDT
...Sorry, make that "I only installed the debuginfo packages mentioned in Comment #1"...
Comment 4 Matthew Barnes 2009-04-11 19:42:50 EDT
I saw this myself the other day but did not investigate.  The expander triangle was completely unresponsive.  Didn't even change color in responsive to mousing over, which tells me the widget was not receiving input events for some reason.
Comment 5 Milan Crha 2009-04-14 11:11:44 EDT
Thanks for the back trace. It shows only that the evolution is idle, thus as Matt said, might be something wrong with a state of the widget itself.

When Matt mentioned "not receiving input events", is it for all keyboard and mouse events, or only for some of them? Will disable/enable any account from Edit->Preferences recover the tree from this unresponsive state? (Maybe create some fake maildir account for tests only, instead of playing with the real account. The only important thing is that the account should influence the left tree, by adding there some nodes.)

I'm trying to figure out some pattern when this happens and what are the circumstances.
Comment 6 Matthew Barnes 2009-04-14 11:32:12 EDT
(In reply to comment #5)
> When Matt mentioned "not receiving input events", is it for all keyboard and
> mouse events, or only for some of them? Will disable/enable any account from
> Edit->Preferences recover the tree from this unresponsive state? (Maybe create
> some fake maildir account for tests only, instead of playing with the real
> account. The only important thing is that the account should influence the left
> tree, by adding there some nodes.)

The entire tree view widget appeared to not be receiving input events, not just particular accounts.  I could not interact with it in any way, neither by mouse nor keyboard.  I didn't try disabling and re-enabling accounts but I suspect it wouldn't make a difference; it felt like a GTK+-level issue.  Unfortunately, I was busy with something else at the time and just restarted the app.

No idea how to reproduce this, but if it happens again I'll dig deeper.
Comment 7 James 2009-04-14 18:21:46 EDT
> I didn't try disabling and re-enabling accounts but I suspect it
> wouldn't make a difference; it felt like a GTK+-level issue. 

No, it doesn't make a difference.
Comment 8 Bug Zapper 2009-06-09 09:26:52 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 James 2009-06-29 11:10:13 EDT
Still seen with:

evolution-2.26.2-1.fc11.x86_64
gtk2-2.16.2-1.fc11.x86_64
gtk2-engines-2.18.2-1.fc11.x86_64

but I can recall seeing it in other applications, too. Reassigning to gtk2.
Comment 10 Matthew Barnes 2009-07-06 15:10:29 EDT
*** Bug 509836 has been marked as a duplicate of this bug. ***
Comment 11 Josep 2009-07-07 04:58:56 EDT
I don't know if this will help fixing the bug, but I found a way to always reproduce it:
When receiving new mail, an icon in the notification area will blink, if you click it to remove the notification you'll trigger this bug.
(I also explained that in bug 509836, duplicate of this one)
Comment 12 James 2009-07-10 06:13:46 EDT
I can confirm Comment #11.
Comment 13 James 2009-11-07 07:13:37 EST
Bug exists in rawhide:

evolution-2.28.0-2.fc12.x86_64
gtk2-2.18.3-19.fc12.x86_64

Still occurs when clicking on the mail notification icon, so disabling the plugin can help with avoiding this problem.
Comment 14 James 2009-11-07 10:53:23 EST
Filed upstream in https://bugzilla.gnome.org/show_bug.cgi?id=601080
Comment 15 Bug Zapper 2009-11-16 04:54:41 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Istvan Cebrian 2009-11-26 10:13:56 EST
I also have this bug, however, the bug happens for me even when I don't click on a notification window.

The bug is only present when using the mouse to expand or collapse tree. When using SHIFT+Arrow I have no problem.

A weird behaviour is when I try various times expanding a folder it sometimes work's, but when I click on any of the sub-folders the tree collapses again. 

I've noticed the arrow (which is white with a black border) sometimes fills up in solid black (after attempting expansion of folder's) that's when I have the weird behaviour's of clicking on some other folder and trees expanding and collapsing.

Not an easy bug to explain, will however be happy to provide additional information.

Btw using clean install of FC12 and updated to latest versions available in repo.

# rpm -qa | grep evolution
evolution-help-2.28.0-2.fc12.noarch
evolution-2.28.0-2.fc12.i686
evolution-data-server-2.28.0-1.fc12.i686
Comment 17 Milan Crha 2009-11-30 07:13:12 EST
(In reply to comment #16)
> I've noticed the arrow (which is white with a black border) sometimes fills up
> in solid black (after attempting expansion of folder's) that's when I have the
> weird behaviour's of clicking on some other folder and trees expanding and
> collapsing.

Your description reminded me of an upstream bug [1] which is pretty the same and makes me believe this is not Evolution's bug, but gtk+ bug. I'm moving this one to gtk+.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=541590
Comment 19 Milan Crha 2009-12-16 15:16:02 EST
*** Bug 547843 has been marked as a duplicate of this bug. ***
Comment 20 Istvan Cebrian 2009-12-17 08:36:38 EST
Ok I think i've identified source of problem. I am running synergy and when I kill it issue is gone. 

Could people sufering from this bug confirm if they are using synergy and if killing it solves problem?

On another note, synergy is cauing quite a few problem bug 546267 is also mouse and synergy related.
Comment 21 James 2009-12-17 08:46:40 EST
I'm NOT using synergy.
Comment 22 Istvan Cebrian 2009-12-17 08:53:15 EST
Using gtk2-2.18.5-3.fc12.i686 from updates-testing repo (may-be that then?)
Comment 23 Josep 2009-12-17 09:23:12 EST
I am not using synergy, and so far the only way for me to reproduce the issue is still how I described it in comment #11.

What does synergy have in common with the notification area? Maybe this could give some pointers.

$ rpm -q gtk2
gtk2-2.18.4-3.fc12.i686
Comment 24 Wayne Feick 2009-12-17 11:07:02 EST
I killed synergy, and the issue went away.

Any idea what the connection is?
Comment 25 Harold Campbell 2009-12-17 11:44:19 EST
(In reply to comment #20)

> Could people sufering from this bug confirm if they are using synergy and if
> killing it solves problem?
> 
> On another note, synergy is cauing quite a few problem bug 546267 is also mouse
> and synergy related.  

I wrote about the synergy connection in upstream bug https://bugzilla.gnome.org/show_bug.cgi?id=601080 a month ago including the symptoms in bug #54267. It may not be *the* cause of these problems, but it's a pretty easy way to duplicate the problems.
Comment 26 Harold Campbell 2009-12-17 11:45:34 EST
I meant bug 546267 obviously...
Comment 27 Milan Crha 2009-12-17 12:46:21 EST
Could anyone of you try to run evolution under valgrind 
   $ valgrind evolution
with installed debug info packages for evolution, evolution-data-server, glib2, gtk2 and see whether it'll show some invalid reads or something like that? All that "it sometimes does that and sometimes not" seems to me as reading of some uninitialized memory. Just a guess.
Comment 28 klark 2009-12-21 21:22:18 EST
I did not have any problem till i tried to install openoffice.org-langpack. After the installation, this problem starts. I tried to remove the langpack but could not find it with rpm -qa. Guess there must be some lib files causing this issue. Any idea?
Comment 29 Matthew Barnes 2009-12-26 19:35:53 EST
*** Bug 550660 has been marked as a duplicate of this bug. ***
Comment 30 Wayne Feick 2010-01-04 15:36:50 EST
See bug 547924 for a related issue.
Comment 31 Josep 2010-01-04 18:56:35 EST
Given that at least some of us neither use nor has synergy installed, but can still _always_ reproduce the problem very easily (see comment #11 from July), couldn't we thus conclude that the problem must be in something used by both synergy and evolution (or the notification area)?

For those that have synergy installed and see the problem:
can you reproduce the bug with the method described in comment #11? If yes, can you then test if it goes away when killing synergy?
If so, I think we could say that the problem is not caused by synergy (we that don't use it can reproduce it too), but that it gets fixed when killing it. It may then be worth looking at what happens when killing synergy (maybe the state of the view tree is reset, or something...).
Comment 32 Steevithak 2010-01-22 16:19:25 EST
I started experiencing this bug today for the first time. As far as I know I haven't run yum update for about a week, so I don't what might have changed on my system to trigger it. I never had the problem before today. It's just as described in the other reports, clicking the tree triangles does not result in an expand or collapse. The tree appears permanently stuck in the condition it was in yesterday. 

Fedora 12

evolution-2.28.2-1.fc12.x86_64
gtk2-2.18.6-1.fc12.x86_64
glib2-2.22.3-2.fc12.x86_64

I'm assuming I don't use synergy, since I have no idea what it is. :)

Has anyone found a work around that will allow me to access folder in collapsed areas of the tree until a fix is released? I've been playing around with Evolution for half hour and so far haven't found a way to pry open the collapsed trees. :(
Comment 33 Steevithak 2010-01-22 16:22:14 EST
Oh, found the work around, if you shut down Evolution completely and then restart, the tree appears to work normally again for a while.
Comment 34 Trevin Beattie 2010-05-21 11:24:36 EDT
I've encountered this bug as well on a recent install of Fedora 12 with the latest updates installed.  Haven't yet figured out exactly what triggers it, but it seems to be happening more frequently since I installed synergy yesterday.  (It did happen a couple of times in the last week before I installed synergy.)

evolution-2.28.3-1.fc12.i686
gtk2-2.18.9-3.fc12.i686
glib2-2.22.5-1.fc12.i686
synergy-1.3.1-14.fc12.i686
Comment 35 Matthew Barnes 2010-05-21 11:29:42 EDT
There are GTK+ patches under evaluation for this issue here:
https://bugzilla.gnome.org/show_bug.cgi?id=581050
Comment 36 Bug Zapper 2010-11-04 07:21:58 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 37 Josep 2010-11-04 07:34:33 EDT
It's still there in F14 (evolution-2.32.0-2.fc14.i686)
Comment 38 Milan Crha 2010-11-04 07:53:42 EDT
I'm reopening and setting this to Fedora 14 per the previous comment.
The upstream bug from comment #35 is also still opened.
Comment 39 Matthew Barnes 2010-11-04 09:17:58 EDT
Evolution is dropping all status icons in Fedora 15 (per GNOME 3 requirements) so this bug will obsolete itself in six months anyway.
Comment 40 Josep 2010-11-04 09:55:30 EDT
But F14 will still be supported for another 6 months after GNOME 3 is out, and maybe Red Hat will even support it for a longer time in their distros (?).
Comment 41 Milan Crha 2010-11-29 13:42:33 EST
*** Bug 658213 has been marked as a duplicate of this bug. ***
Comment 42 Matthew Barnes 2011-03-01 17:58:50 EST
*** Bug 681365 has been marked as a duplicate of this bug. ***
Comment 43 James 2012-05-08 19:30:51 EDT
Anyone still experiencing this, or can it be closed as UPSTREAM?
Comment 44 Bojan Smojver 2012-05-08 19:52:42 EDT
(In reply to comment #43)
> Anyone still experiencing this, or can it be closed as UPSTREAM?

I haven't seen this for a while, to be honest. So, I'm good with UPSTREAM.

Note You need to log in before you can comment on or make changes to this bug.